# A Thumbnail

A thumbnail (thumbnail_width=400): the screenshot resized to 400 pixels wide, keeping its aspect ratio.

Source: https://docs.deepinfo.com/reference/lookup/screenshot/examples/thumbnail/

Last updated: 2026-09-24

---
`GET https://api.deepinfo.com/v1/lookup/screenshot?url=https%3A%2F%2Fwww.deepinfo.com&thumbnail_width=400`

A thumbnail (thumbnail_width=400): the screenshot resized to 400 pixels wide, keeping its aspect ratio.

Example 3 of 3 in **Image Output** · [Screenshot Examples](/reference/lookup/screenshot/examples/) · endpoint: [Screenshot](/reference/lookup/screenshot/)

Tags: `param` `thumbnail_width` · `value` `400`

Asks for a 400-pixel-wide thumbnail (`thumbnail_width=400`).

The page is captured at the normal viewport and the image is then resized to 400 pixels wide, keeping the aspect ratio. The width must not be larger than the screenshot width and at least 50. The response links to the image in `screenshot_url`.

## Request

| Parameter | In | Value |
|---|---|---|
| `url` | query | `https://www.deepinfo.com` |
| `thumbnail_width` | query | `400` |

```bash
curl 'https://api.deepinfo.com/v1/lookup/screenshot?url=https%3A%2F%2Fwww.deepinfo.com&thumbnail_width=400' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

## Response

### 200 · OK

`Content-Type: application/json; charset=utf-8` · `ratelimit-limit: 1` · `ratelimit-remaining: 0` · `ratelimit-reset: 1` · `x-ratelimit-limit-second: 1` · `x-ratelimit-remaining-second: 0` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "url": "https://www.deepinfo.com",
  "redirected_url": "https://www.deepinfo.com/",
  "check_date": "2026-09-24T07:55:59.422Z",
  "connection_status": "success",
  "screenshot_url": "https://diss-999.storage.googleapis.com/202609/24/www-deepinfo-com-DHdI0M_vS5geONvMJ7x3OSS3.jpeg?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Credential=<redacted>&X-Amz-Date=20260924T075559Z&X-Amz-Expires=604800&X-Amz-Signature=<redacted>&X-Amz-SignedHeaders=host&x-amz-checksum-mode=ENABLED&x-id=GetObject"
}
```
